webpackJsonp([22],{

/***/ 532:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ModalVendedoresPageModule", function() { return ModalVendedoresPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__modal_vendedores__ = __webpack_require__(611);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ModalVendedoresPageModule = /** @class */ (function () {
    function ModalVendedoresPageModule() {
    }
    ModalVendedoresPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__modal_vendedores__["a" /* ModalVendedoresPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__modal_vendedores__["a" /* ModalVendedoresPage */]),
            ],
        })
    ], ModalVendedoresPageModule);
    return ModalVendedoresPageModule;
}());

//# sourceMappingURL=modal-vendedores.module.js.map

/***/ }),

/***/ 611:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ModalVendedoresPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_relatorios_estoque_relatorios_estoque__ = __webpack_require__(288);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_auth_service_auth_service__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_vendedores_vendedores__ = __webpack_require__(296);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the ModalVendedoresPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ModalVendedoresPage = /** @class */ (function () {
    function ModalVendedoresPage(navCtrl, navParams, viewCtrl, rel_estoque, auth, vendedor, toastCtrl, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.rel_estoque = rel_estoque;
        this.auth = auth;
        this.vendedor = vendedor;
        this.toastCtrl = toastCtrl;
        this.alertCtrl = alertCtrl;
        this.vendedores = {
            vendedor: '',
            nomevend: '',
            lojavend: '',
            descloja: '',
            id: ''
        };
        console.log(navParams.data);
        this.vendedores.vendedor = navParams.data['VENDEDOR'];
        this.vendedores.nomevend = navParams.data['NOMEVEND'];
        this.vendedores.lojavend = navParams.data['LOJAVEND'];
        this.vendedores.descloja = navParams.data['DESCLOJA'];
        this.lojaSelecionada = this.vendedores.lojavend;
    }
    ModalVendedoresPage.prototype.showError = function (text) {
        this.loading.dismiss();
        var alert = this.alertCtrl.create({
            title: 'Ocorreu uma falha',
            subTitle: text,
            buttons: ['OK']
        });
        alert.present();
    };
    ModalVendedoresPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        this.vendedores.id = this.auth.Id;
        this.rel_estoque.buscarLojas(this.vendedores)
            .then(function (result) {
            _this.lojas = result;
        })
            .catch(function (error) {
            console.log('error: ' + error);
        });
    };
    ModalVendedoresPage.prototype.mcqAnswer = function (newValue, a) {
        this.vendedores.lojavend = a;
    };
    ModalVendedoresPage.prototype.dismiss = function () {
        this.viewCtrl.dismiss();
    };
    ModalVendedoresPage.prototype.salvarCadastro = function () {
        var _this = this;
        this.vendedor.atualizarLojaVendedores(this.vendedores)
            .then(function (result) {
            var toast = _this.toastCtrl.create({
                message: 'Vendedor atualizado com sucesso!',
                duration: 3000,
                position: 'bottom'
            });
            toast.present();
            _this.viewCtrl.dismiss(result);
        })
            .catch(function (error) {
            console.log('error: ' + error);
            _this.loading.dismiss();
            _this.showError('O seu servidor pode esta sem internet no momento, tente novamente mais tarde.');
        });
    };
    ModalVendedoresPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-modal-vendedores',template:/*ion-inline-start:"C:\mobile\forcaDeVendas\src\pages\modal-vendedores\modal-vendedores.html"*/'<ion-header class="header header-ios">\n    <ion-toolbar class="toolbar toolbar-ios statusbar-padding"><div class="toolbar-background toolbar-background-ios"></div><ion-buttons start="" class="bar-buttons bar-buttons-ios">\n        <button ion-button="" (click)="dismiss()" class="disable-hover bar-button bar-button-ios bar-button-default bar-button-default-ios"><span class="button-inner">\n          <span color="primary" ion-text="" showwhen="ios" class="text text-ios text-ios-primary">Cancelar</span>\n          <ion-icon name="md-close" role="img" showwhen="android, windows" class="icon icon-ios ion-md-close hidden-show-when" aria-label="close"></ion-icon>\n        </span><div class="button-effect"></div></button>\n      </ion-buttons><div class="toolbar-content toolbar-content-ios">\n      <ion-title class="title title-ios"><div class="toolbar-title toolbar-title-ios">\n        Alterar loja\n      </div></ion-title>\n      \n    </div></ion-toolbar>\n</ion-header>\n\n<ion-content padding>\n  <ion-list>\n    <ion-item>\n      <ion-label>Loja</ion-label>\n      <ion-select [(ngModel)]="lojaSelecionada">\n        <ion-option *ngFor="let item of lojas" (ionSelect)="mcqAnswer(i,item.CODLOJA)" [value]="item.CODLOJA">{{ item.CODLOJA}} - {{ item.DESCLOJA}}</ion-option>\n      </ion-select>\n    </ion-item>\n    <ion-item>\n      <ion-label color="primary" stacked>Nome</ion-label>\n      <ion-input [(ngModel)]="vendedores.nomevend" type="text" disabled="true" maxlength="35"></ion-input>\n    </ion-item>\n  </ion-list>   \n  <button ion-button full (click)="salvarCadastro()">Salvar Cadastro</button>   \n</ion-content>\n'/*ion-inline-end:"C:\mobile\forcaDeVendas\src\pages\modal-vendedores\modal-vendedores.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_2__providers_relatorios_estoque_relatorios_estoque__["a" /* RelatoriosEstoqueProvider */], __WEBPACK_IMPORTED_MODULE_3__providers_auth_service_auth_service__["a" /* AuthServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_4__providers_vendedores_vendedores__["a" /* VendedoresProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* ToastController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], ModalVendedoresPage);
    return ModalVendedoresPage;
}());

//# sourceMappingURL=modal-vendedores.js.map

/***/ })

});
//# sourceMappingURL=22.js.map