webpackJsonp([29],{

/***/ 524:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ListaDeVezPageModule", function() { return ListaDeVezPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__lista_de_vez__ = __webpack_require__(596);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ListaDeVezPageModule = /** @class */ (function () {
    function ListaDeVezPageModule() {
    }
    ListaDeVezPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__lista_de_vez__["a" /* ListaDeVezPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__lista_de_vez__["a" /* ListaDeVezPage */]),
            ],
        })
    ], ListaDeVezPageModule);
    return ListaDeVezPageModule;
}());

//# sourceMappingURL=lista-de-vez.module.js.map

/***/ }),

/***/ 596:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ListaDeVezPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_pre_venda_pre_venda__ = __webpack_require__(287);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_auth_service_auth_service__ = __webpack_require__(38);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the ListaDeVezPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ListaDeVezPage = /** @class */ (function () {
    function ListaDeVezPage(navCtrl, alertCtrl, navParams, auth, preVenda, modalCtrl, toastCtrl) {
        this.navCtrl = navCtrl;
        this.alertCtrl = alertCtrl;
        this.navParams = navParams;
        this.auth = auth;
        this.preVenda = preVenda;
        this.modalCtrl = modalCtrl;
        this.toastCtrl = toastCtrl;
        this.Parametro = {
            id: '',
            loja: '',
            VENDEDOR: '',
            idMotivo: '',
            NOMEVEND: '',
            TELEFONE: '',
            NOMECLIENTE: '',
            OBSERVACAO: '',
            cod_usr: ''
        };
    }
    ListaDeVezPage.prototype.ionViewDidLoad = function () {
        this.Parametro.id = this.auth.Id;
        this.Parametro.loja = this.auth.Usuario.loja;
        this.buscarVendedores();
    };
    ListaDeVezPage.prototype.presentToast = function (msg) {
        var toast = this.toastCtrl.create({
            message: msg,
            duration: 5000,
            position: 'bottom'
        });
        toast.present();
    };
    ListaDeVezPage.prototype.buscarVendedores = function () {
        var _this = this;
        this.preVenda.consultarVendedores(this.Parametro)
            .then(function (result) {
            _this.vendedores = result;
        })
            .catch(function (error) {
            console.log('error: ' + error);
        });
    };
    ListaDeVezPage.prototype.statusVenda = function (vend) {
        var _this = this;
        var nomeVendedor = vend.NOMEVEND.split(" ");
        var confirm = this.alertCtrl.create({
            title: 'Status da venda',
            message: nomeVendedor[0] + ' você conseguiu vender algum produto?',
            buttons: [
                {
                    text: 'Não',
                    handler: function () {
                        _this.Parametro.VENDEDOR = vend.VENDEDOR;
                        _this.Parametro.NOMEVEND = vend.NOMEVEND;
                        _this.listaMotivoDesistencia(vend);
                    }
                },
                {
                    text: 'Sim',
                    handler: function () {
                        _this.Parametro.idMotivo = "";
                        _this.Parametro.NOMECLIENTE = "";
                        _this.Parametro.TELEFONE = "";
                        _this.Parametro.OBSERVACAO = "";
                        _this.Parametro.VENDEDOR = vend.VENDEDOR;
                        _this.Parametro.NOMEVEND = vend.NOMEVEND;
                        _this.salvarListaDeVez(_this.Parametro);
                    }
                }
            ]
        });
        confirm.present();
    };
    ListaDeVezPage.prototype.salvarListaDeVez = function (parametro) {
        var _this = this;
        this.Parametro.cod_usr = this.auth.Usuario.codigo;
        this.preVenda.insertPontoInteligente(this.Parametro)
            .then(function (result) {
            _this.organizarLista(parametro);
            if (result == true) {
                _this.presentToast("Informação salva com sucesso!");
            }
        })
            .catch(function (error) {
            console.log('error: ' + error);
        });
    };
    ListaDeVezPage.prototype.listaMotivoDesistencia = function (vendedor) {
        var _this = this;
        var modal = this.modalCtrl.create('ListaMotivosDesistenciaPage', { vendedor: vendedor });
        modal.onDidDismiss(function (data) {
            if (data != null) {
                _this.Parametro.idMotivo = data.idMotivo;
                _this.Parametro.NOMECLIENTE = data.NOMECLIENTE;
                _this.Parametro.TELEFONE = data.TELEFONE;
                _this.Parametro.OBSERVACAO = data.OBSERVACAO;
                _this.salvarListaDeVez(_this.Parametro);
            }
        });
        modal.present();
    };
    ListaDeVezPage.prototype.organizarLista = function (vend) {
        for (var i = 0; i < this.vendedores.length; i++) {
            var element = this.vendedores[i];
            if (element.VENDEDOR === vend.VENDEDOR) {
                this.vendedores.splice(i, 1);
            }
        }
        this.vendedores.push({
            "VENDEDOR": vend.VENDEDOR,
            "NOMEVEND": vend.NOMEVEND
        });
    };
    ListaDeVezPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-lista-de-vez',template:/*ion-inline-start:"C:\mobile\forcaDeVendas\src\pages\lista-de-vez\lista-de-vez.html"*/'<!--\n  Generated template for the ListaDeVezPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title text-center>Lista de Vez</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content padding>\n  <ion-list>\n    <ion-item *ngFor="let vend of vendedores" (click)="statusVenda(vend)">      \n      <h2>{{ vend.NOMEVEND }}</h2>\n      <h3>Código: {{ vend.VENDEDOR }}</h3>\n    </ion-item>\n  </ion-list>\n</ion-content>\n'/*ion-inline-end:"C:\mobile\forcaDeVendas\src\pages\lista-de-vez\lista-de-vez.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */], __WEBPACK_IMPORTED_MODULE_3__providers_auth_service_auth_service__["a" /* AuthServiceProvider */], __WEBPACK_IMPORTED_MODULE_2__providers_pre_venda_pre_venda__["a" /* PreVendaProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* ModalController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* ToastController */]])
    ], ListaDeVezPage);
    return ListaDeVezPage;
}());

//# sourceMappingURL=lista-de-vez.js.map

/***/ })

});
//# sourceMappingURL=29.js.map