webpackJsonp([8],{

/***/ 549:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TelaTefPageModule", function() { return TelaTefPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__tela_tef__ = __webpack_require__(666);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var TelaTefPageModule = /** @class */ (function () {
    function TelaTefPageModule() {
    }
    TelaTefPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__tela_tef__["a" /* TelaTefPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__tela_tef__["a" /* TelaTefPage */]),
            ],
        })
    ], TelaTefPageModule);
    return TelaTefPageModule;
}());

//# sourceMappingURL=tela-tef.module.js.map

/***/ }),

/***/ 666:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TelaTefPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_auth_service_auth_service__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_pre_venda_pre_venda__ = __webpack_require__(287);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the TelaTefPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var TelaTefPage = /** @class */ (function () {
    function TelaTefPage(navCtrl, navParams, viewCtrl, alertCtrl, auth, vendas) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.alertCtrl = alertCtrl;
        this.auth = auth;
        this.vendas = vendas;
        this.pedido = "";
        this.token = "";
        this.arrayPagamentos = [];
        this.pedido = navParams['data']['pedido'];
    }
    TelaTefPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        // console.log('ionViewDidLoad TelaTefPage');
        this.vendas.criarVendaLio({
            "id": this.auth.Id,
            "pedido": this.pedido
        }).then(function (result) {
            console.log(result);
            _this.token = result.id;
            _this.showAlert("Atenção!", "Passe o cartão do cliente na maquininha, ao terminar clica em <br> Finalizar!");
        }).catch(function (error) {
            console.log(error);
        });
    };
    TelaTefPage.prototype.showAlert = function (titulo, texto) {
        var _this = this;
        var alert = this.alertCtrl.create({
            title: titulo,
            subTitle: texto,
            buttons: [
                {
                    text: 'Cancelar',
                    handler: function () {
                        console.log('Disagree clicked');
                    }
                },
                {
                    text: 'Finalizar',
                    handler: function () {
                        _this.consultarTransacao();
                    }
                }
            ]
        });
        alert.present();
    };
    TelaTefPage.prototype.consultarTransacao = function () {
        var _this = this;
        this.vendas.consultarVendaLio({
            "id": this.auth.Id,
            "pedido": this.pedido
        }).then(function (result) {
            console.log(result);
            var transaction = result.transactions;
            if (transaction.length == 0) {
                alert("Ainda não pagou!");
            }
            else {
                _this.arrayPagamentos = [];
                var texto = "";
                for (var i = 0; i < transaction.length; i++) {
                    var element = transaction[i];
                    console.log(element);
                    var creditoDebito = (typeof element.payment_fields !== 'undefined') ? element.payment_fields.primary_product_name : '';
                    var parcelas = (typeof element.payment_fields !== 'undefined') ? element.payment_fields.number_of_quotas : '';
                    texto = texto + 'R$ ' + (element.amount / 100) + ' parcelado em ' + parcelas + '<br>';
                    _this.arrayPagamentos.push({
                        "valor": element.amount,
                        "nsu": element.number,
                        "cartao": element.card.mask.replaceAll("*", ""),
                        "bandeira": element.card.brand,
                        "creditoDebito": creditoDebito,
                        "parcelas": parcelas,
                        "pedido": _this.pedido,
                        "token": _this.token
                    });
                }
                var alert_1 = _this.alertCtrl.create({
                    title: 'Recebido',
                    subTitle: texto,
                    buttons: [{
                            text: 'OK',
                            handler: function (data) {
                                _this.viewCtrl.dismiss(_this.arrayPagamentos);
                            }
                        }]
                });
                alert_1.present();
            }
        }).catch(function (error) {
            console.log(error);
        });
    };
    TelaTefPage.prototype.voltarModal = function () {
        var data = { 'pedido': this.pedido, 'token': this.token };
        this.viewCtrl.dismiss(data);
    };
    TelaTefPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-tela-tef',template:/*ion-inline-start:"C:\mobile\forcaDeVendas\src\pages\tela-tef\tela-tef.html"*/'<!--\n  Generated template for the TelaTefPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header no-border>\n  <ion-navbar color="primary">\n    <ion-buttons start>\n      <button ion-button icon-only (click)="voltarModal()">\n        <ion-icon name="arrow-back"></ion-icon>\n      </button>\n    </ion-buttons>\n\n    <ion-title>      \n      Cartão\n    </ion-title>\n    \n    <ion-buttons end>      \n    </ion-buttons>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content padding style="background-image: url(\'assets/imgs/TEF.jpg\'); background-repeat: round;">\n\n</ion-content>\n<ion-footer>\n  <button color="danger" ion-button block (click)="consultarTransacao()">Consultar transação</button>\n</ion-footer>'/*ion-inline-end:"C:\mobile\forcaDeVendas\src\pages\tela-tef\tela-tef.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */], __WEBPACK_IMPORTED_MODULE_2__providers_auth_service_auth_service__["a" /* AuthServiceProvider */], __WEBPACK_IMPORTED_MODULE_3__providers_pre_venda_pre_venda__["a" /* PreVendaProvider */]])
    ], TelaTefPage);
    return TelaTefPage;
}());

//# sourceMappingURL=tela-tef.js.map

/***/ })

});
//# sourceMappingURL=8.js.map