webpackJsonp([10],{

/***/ 547:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "Tab2PageModule", function() { return Tab2PageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__tab2__ = __webpack_require__(664);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var Tab2PageModule = /** @class */ (function () {
    function Tab2PageModule() {
    }
    Tab2PageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__tab2__["a" /* Tab2Page */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__tab2__["a" /* Tab2Page */]),
            ],
        })
    ], Tab2PageModule);
    return Tab2PageModule;
}());

//# sourceMappingURL=tab2.module.js.map

/***/ }),

/***/ 664:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Tab2Page; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_auth_service_auth_service__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_vendedores_vendedores__ = __webpack_require__(296);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the Tab2Page page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var Tab2Page = /** @class */ (function () {
    function Tab2Page(navCtrl, navParams, loadingCtrl, alertCtrl, auth, vendedores, modalCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.loadingCtrl = loadingCtrl;
        this.alertCtrl = alertCtrl;
        this.auth = auth;
        this.vendedores = vendedores;
        this.modalCtrl = modalCtrl;
        this.filtroPesquisaVendedor = 'codigo';
        this.codigoProcurar = '';
        this.Parametro = {
            id: '',
            codigo: '',
            parametro: '',
            usuario: ''
        };
        this.Parametro.id = auth.Id;
        this.Parametro.usuario = auth.Usuario.codigo;
    }
    Tab2Page.prototype.showLoading = function () {
        this.loading = this.loadingCtrl.create({
            content: 'Por favor, aguarde...',
            dismissOnPageChange: true
        });
        this.loading.present();
    };
    Tab2Page.prototype.showError = function (text) {
        this.loading.dismiss();
        var alert = this.alertCtrl.create({
            title: 'Fail',
            subTitle: text,
            buttons: ['OK']
        });
        alert.present();
    };
    Tab2Page.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad Tab2Page');
    };
    Tab2Page.prototype.valuechange = function (newValue) {
        if (newValue.key == 'Enter' || newValue.keyCode == 13 || newValue.keyIdentifier == 'Enter') {
            this.pesquisarVendedores();
        }
    };
    Tab2Page.prototype.showAlertCodigoWinSAE = function (mensagem) {
        var alert = this.alertCtrl.create({
            title: 'Ops!',
            subTitle: mensagem,
            buttons: ['OK']
        });
        alert.present();
    };
    Tab2Page.prototype.alterarVendedor = function (vend) {
        var _this = this;
        var modal = this.modalCtrl.create('ModalVendedoresPage', vend);
        modal.onDidDismiss(function (data) {
            _this.filtroPesquisaVendedor = 'codigo';
            _this.codigoProcurar = data;
            if (data != undefined) {
                _this.pesquisarVendedores();
            }
        });
        modal.present();
    };
    Tab2Page.prototype.pesquisarVendedores = function () {
        var _this = this;
        this.showLoading();
        this.Parametro.codigo = this.codigoProcurar;
        this.Parametro.parametro = this.filtroPesquisaVendedor;
        this.Parametro.usuario = this.auth.Usuario.codigo; //
        if (this.codigoProcurar == '') {
            this.loading.dismiss();
            this.showAlertCodigoWinSAE('Deve preencher com algum valor.');
        }
        else {
            this.vendedores.pesquisarVendedores(this.Parametro)
                .then(function (result) {
                _this.loading.dismiss();
                _this.codigoProcurar = '';
                if (result == false && result != '') {
                    _this.showAlertCodigoWinSAE('Seu usuário não tem permissão para realizar essa consulta.');
                }
                else if (result == '') {
                    _this.showAlertCodigoWinSAE('Não encontrei nada.');
                }
                else {
                    _this.obj = result;
                }
            })
                .catch(function (error) {
                //console.log('error: '+error);
                _this.loading.dismiss();
                _this.showAlertCodigoWinSAE('O seu servidor pode esta sem internet no momento, tente novamente mais tarde.');
            });
        }
    };
    Tab2Page = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-tab2',template:/*ion-inline-start:"C:\mobile\forcaDeVendas\src\pages\tab2\tab2.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title text-center>Cadastro de Vendedores</ion-title>\n  </ion-navbar>\n</ion-header>\n \n<ion-content padding>\n  <div>\n    <ion-segment [(ngModel)]="filtroPesquisaVendedor">\n      <ion-segment-button value="codigo">\n        Código\n      </ion-segment-button>\n      <ion-segment-button value="nome">\n        Nome\n      </ion-segment-button>\n    </ion-segment>\n  </div>  \n  <!--<ion-col col-12>\n    <div class="item-inner">\n      <ion-item class="itemConsulta">\n        <ion-label color="primary" stacked>Procurar vendedor</ion-label>\n        <ion-input type="text" (keyup)="valuechange($event)" [(ngModel)]="codigoProcurar"></ion-input>\n      </ion-item>\n      <button ion-button="" item-end="" outline="" class="disable-hover item-button button button-ios \n      button-outline button-outline-ios" (click)="pesquisarVendedores()"><span class="button-inner"><ion-icon ios="ios-send" md="md-send"></ion-icon></span>\n      <div class="button-effect"></div>\n      </button>\n    </div>          \n  </ion-col>-->\n  <ion-item>\n    <ion-label color="primary" stacked>Procurar vendedor</ion-label>\n    <ion-input type="text" (keyup)="valuechange($event)" [(ngModel)]="codigoProcurar"></ion-input>\n    <button ion-button item-end  (click)="pesquisarVendedores()" >\n      <ion-icon style="color: white" ios="ios-search" md="md-search"></ion-icon>\n    </button>\n  </ion-item>  \n\n<ion-list>\n  <ion-item *ngFor="let vend of obj" class="itemConsulta" (click)="alterarVendedor(vend)">\n    <ion-avatar item-start>\n      <img src="assets/imgs/usuario.png">\n    </ion-avatar>\n    <h2>{{ vend.VENDEDOR }} - {{ vend.NOMEVEND }}</h2>\n    <h3>{{ vend.LOJAVEND }} - {{ vend.DESCLOJA }}</h3>\n    <button ion-button clear item-end>Editar</button>\n  </ion-item>\n</ion-list>       \n\n</ion-content>'/*ion-inline-end:"C:\mobile\forcaDeVendas\src\pages\tab2\tab2.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_2__providers_auth_service_auth_service__["a" /* AuthServiceProvider */], __WEBPACK_IMPORTED_MODULE_3__providers_vendedores_vendedores__["a" /* VendedoresProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* ModalController */]])
    ], Tab2Page);
    return Tab2Page;
}());

//# sourceMappingURL=tab2.js.map

/***/ })

});
//# sourceMappingURL=10.js.map