webpackJsonp([11],{

/***/ 545:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "StatusLinkPageModule", function() { return StatusLinkPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__status_link__ = __webpack_require__(662);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__ = __webpack_require__(286);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var StatusLinkPageModule = /** @class */ (function () {
    function StatusLinkPageModule() {
    }
    StatusLinkPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__status_link__["a" /* StatusLinkPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__status_link__["a" /* StatusLinkPage */]),
                __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__["a" /* PipesModule */]
            ],
        })
    ], StatusLinkPageModule);
    return StatusLinkPageModule;
}());

//# sourceMappingURL=status-link.module.js.map

/***/ }),

/***/ 662:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return StatusLinkPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_auth_service_auth_service__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_pre_venda_pre_venda__ = __webpack_require__(287);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_in_app_browser_ngx__ = __webpack_require__(293);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the StatusLinkPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var StatusLinkPage = /** @class */ (function () {
    function StatusLinkPage(navCtrl, navParams, preVenda, auth, alertCtrl, iab, actionSheetCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.preVenda = preVenda;
        this.auth = auth;
        this.alertCtrl = alertCtrl;
        this.iab = iab;
        this.actionSheetCtrl = actionSheetCtrl;
        this.img = "";
        this.pedidos = [];
    }
    StatusLinkPage.prototype.ionViewDidLoad = function () {
        this.buscarStatus();
    };
    StatusLinkPage.prototype.showAlert = function (titulo, mensagem) {
        var alert = this.alertCtrl.create({
            title: titulo,
            subTitle: mensagem,
            buttons: ['OK']
        });
        alert.present();
    };
    StatusLinkPage.prototype.buscarStatus = function () {
        var _this = this;
        var parametro = { "id": this.auth.Id, "data": "29.05.2020", "loja": this.auth.Usuario.loja };
        this.preVenda.statusPagamentoPorLink(parametro)
            .then(function (result) {
            _this.pedidos = [];
            for (var i = 0; i < result.length; i++) {
                var element = result[i];
                var color = 'default';
                var obs = '';
                if (element.TIPO == 'CANCELADO') {
                    color = 'danger';
                    obs = element.OBS == null ? 'Cancelado' : element.OBS;
                }
                if (element.TIPO == 'VENDA ACEITA') {
                    color = 'secondary';
                    obs = element.OBS == null ? 'Venda autorizada' : element.OBS;
                }
                if (element.TIPO == 'PRE-VENDA') {
                    color = 'warning';
                    obs = element.OBS == null ? 'Aguardando aprovação' : element.OBS;
                }
                if (element.TP_DOC == '101') {
                    _this.img = "assets/imgs/cielo.png";
                }
                else if (element.TP_DOC == '102') {
                    _this.img = "assets/imgs/picpay.png";
                }
                else if (element.TP_DOC == '103') {
                    _this.img = "assets/imgs/boleto.jpg";
                }
                _this.pedidos.push({
                    "FRETE": element.FRETE,
                    "LOJA": element.LOJA,
                    "OBS": obs,
                    "PEDIDO": element.PEDIDO,
                    "QTPARCELAS": element.QTPARCELAS,
                    "RETORNO30": element.RETORNO30,
                    "TIPO": element.TIPO,
                    "VALORDEVIDO": element.VALORDEVIDO,
                    "COLOR": color,
                    "NOME": element.NOME,
                    "TELEFONE": element.TELE,
                    "DOCUMENTO": element.DOCUMENTO,
                    "PARCELAS": element.PARCELA,
                    "DATA": element.DATA,
                    "TP_DOC": element.TP_DOC,
                    "IMG": _this.img
                });
            }
        })
            .catch(function (error) {
            console.log('error: ' + error);
        });
    };
    StatusLinkPage.prototype.consultar = function (p) {
        var _this = this;
        if (p.TP_DOC == '101') {
            this.preVenda.consultarStatusLinkCielo({ "id": this.auth.Id, "pedido": p.PEDIDO, "retorno30": p.RETORNO30, "loja": p.LOJA })
                .then(function (result) {
                if (result.length == 0) {
                    _this.showAlert('Ops', 'Retorno: Não encontrei nada!');
                }
                else {
                    _this.showConfirm('Encontrei!', result.name, result.shortUrl, p.TELEFONE, p.PEDIDO);
                }
            })
                .catch(function (error) {
                console.log('error: ' + error);
            });
        }
        else if (p.TP_DOC == '102') {
            this.preVenda.statusLinkPicPay({ "id": this.auth.Id, "pedido": p.PEDIDO })
                .then(function (result) {
                _this.showAlert('Encontrei', 'Retorno: ' + result.status);
            })
                .catch(function (error) {
                console.log('error: ' + error);
            });
        }
        else if (p.TP_DOC == '103') {
            this.preVenda.statusBoletoApiPagHiper({ "id": this.auth.Id, "pedido": p.PEDIDO })
                .then(function (result) {
                if (result.length == 0) {
                    _this.showAlert('Ops', 'Retorno: Não encontrei nada!');
                }
                else {
                    for (var i = 0; i < result.length; i++) {
                        var element = result[i];
                        var a = element.order_id.split("_");
                        var id = a[0];
                        var pedido = p.PEDIDO;
                        var parcela = p.PARCELAS;
                        if (id + "_" + pedido + "_" + parcela == element.order_id) {
                            _this.showConfirm('Encontrei!', element.response_message, element.bank_slip.url_slip_pdf, p.TELEFONE, p.PEDIDO);
                        }
                    }
                }
                //this.showAlert('Encontrei','Retorno: '+result.status);
            });
        }
    };
    StatusLinkPage.prototype.showConfirm_ = function (titulo, mensagem, link, telefone, pedido) {
        var _this = this;
        var confirm = this.alertCtrl.create({
            title: titulo,
            message: mensagem,
            buttons: [
                {
                    text: 'Cancelar',
                    handler: function () {
                        console.log('Disagree clicked');
                    }
                },
                {
                    text: 'Enviar boleto',
                    handler: function () {
                        // window.open('http://api.whatsapp.com/send?phone=55'+telefone+'&text=Link para pagamento da sua compra, você será redirecionado(a) para página da operadora. Obrigado! '+link, "blank");
                        var browser = _this.iab.create('http://api.whatsapp.com/send?phone=55' + telefone + '&text=Link para pagamento da sua compra, você será redirecionado(a) para página da operadora. Obrigado! ' + link);
                        browser.on('loadstop').subscribe(function (event) {
                            browser.insertCSS({ code: "body{color: red;" });
                        });
                        browser.close();
                    }
                }
            ]
        });
        confirm.present();
    };
    StatusLinkPage.prototype.showConfirm = function (titulo, mensagem, link, telefone, pedido) {
        var _this = this;
        var actionSheet = this.actionSheetCtrl.create({
            title: 'O que deseja?',
            buttons: [
                {
                    text: 'Cancelar venda',
                    role: 'cancelar',
                    icon: 'trash',
                    handler: function () {
                        _this.cancelarVenda(pedido);
                    }
                }, {
                    text: 'Reenviar cliente',
                    icon: 'send',
                    handler: function () {
                        // window.open('http://api.whatsapp.com/send?phone=55'+telefone+'&text=Link para pagamento da sua compra, você será redirecionado(a) para página da operadora. Obrigado! '+link, "blank");
                        var browser = _this.iab.create('http://api.whatsapp.com/send?phone=55' + telefone + '&text=Link para pagamento da sua compra, você será redirecionado(a) para página da operadora. Obrigado! ' + link);
                        browser.on('loadstop').subscribe(function (event) {
                            browser.insertCSS({ code: "body{color: red;" });
                        });
                        browser.close();
                    }
                }, {
                    text: 'Sair',
                    role: 'Sair',
                    handler: function () {
                        console.log('Cancel clicked');
                    }
                }
            ]
        });
        actionSheet.present();
    };
    StatusLinkPage.prototype.cancelarVenda = function (pedido) {
        var _this = this;
        var parametro = { "id": this.auth.Id, "loja": this.auth.Usuario.loja, "pedido": pedido };
        this.preVenda.efetuarCancelamentoVenda(parametro)
            .then(function (result) {
            _this.showAlert("Atenção", "Venda cancelada!");
            _this.buscarStatus();
        })
            .catch(function (error) {
            console.log('error: ' + error);
        });
    };
    StatusLinkPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-status-link',template:/*ion-inline-start:"C:\mobile\forcaDeVendas\src\pages\status-link\status-link.html"*/'<!--\n  Generated template for the StatusLinkPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title text-center>Recebimento por Link</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content padding>\n  <ion-list>\n    <ion-item *ngFor="let ped of pedidos" (click)="consultar(ped)">      \n      <h2>Status: <ion-badge color={{ped.COLOR}}> {{ ped.OBS }}</ion-badge></h2>\n      <h3>Pedido {{ ped.PEDIDO }} / {{ ped.PARCELAS }}</h3>\n      <h3>{{ ped.NOME }} - {{ ped.TELEFONE }}</h3>\n      <h3><strong>R$ {{ ped.VALORDEVIDO | formatarDinheiro }}</strong></h3>            \n      <p>Feito em {{ ped.DATA | converterData }}</p>      \n      <ion-note item-end="" class="note note-ios"><img [src]="ped.IMG" height="30" width="80"></ion-note>\n    </ion-item>\n    \n  </ion-list>\n</ion-content>\n'/*ion-inline-end:"C:\mobile\forcaDeVendas\src\pages\status-link\status-link.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */], __WEBPACK_IMPORTED_MODULE_3__providers_pre_venda_pre_venda__["a" /* PreVendaProvider */],
            __WEBPACK_IMPORTED_MODULE_2__providers_auth_service_auth_service__["a" /* AuthServiceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */], __WEBPACK_IMPORTED_MODULE_4__ionic_native_in_app_browser_ngx__["a" /* InAppBrowser */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* ActionSheetController */]])
    ], StatusLinkPage);
    return StatusLinkPage;
}());

//# sourceMappingURL=status-link.js.map

/***/ })

});
//# sourceMappingURL=11.js.map