webpackJsonp([20],{

/***/ 535:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PreVendaClientePageModule", function() { return PreVendaClientePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__pre_venda_cliente__ = __webpack_require__(614);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PreVendaClientePageModule = /** @class */ (function () {
    function PreVendaClientePageModule() {
    }
    PreVendaClientePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__pre_venda_cliente__["a" /* PreVendaClientePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__pre_venda_cliente__["a" /* PreVendaClientePage */]),
            ],
        })
    ], PreVendaClientePageModule);
    return PreVendaClientePageModule;
}());

//# sourceMappingURL=pre-venda-cliente.module.js.map

/***/ }),

/***/ 614:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PreVendaClientePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_auth_service_auth_service__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_cliente_cliente__ = __webpack_require__(294);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the PreVendaClientePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var PreVendaClientePage = /** @class */ (function () {
    function PreVendaClientePage(navCtrl, navParams, auth, cliente, alertCtrl, modalCtrl, toast, loadingCtrl, viewCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.auth = auth;
        this.cliente = cliente;
        this.alertCtrl = alertCtrl;
        this.modalCtrl = modalCtrl;
        this.toast = toast;
        this.loadingCtrl = loadingCtrl;
        this.viewCtrl = viewCtrl;
        this.Parametro = {
            id: '',
            codigo: '',
            parametro: '',
            pedido: '',
            codclie: '',
            telefoneCliente: ''
        };
        this.filtroPesquisaCliente = 'cpfCnpg';
        this.Parametro.pedido = this.navParams.data['pedidoOrigem'];
        this.Parametro.id = this.auth.Id;
    }
    PreVendaClientePage.prototype.showLoading = function () {
        this.loading = this.loadingCtrl.create({
            content: 'Por favor, aguarde...',
            dismissOnPageChange: true
        });
        this.loading.present();
    };
    PreVendaClientePage.prototype.showError = function (text) {
        this.loading.dismiss();
        var alert = this.alertCtrl.create({
            title: 'Ocorreu uma falha',
            subTitle: text,
            buttons: ['OK']
        });
        alert.present();
    };
    PreVendaClientePage.prototype.ionViewWillLeave = function () {
        this.clienteProcurar = "";
        this.clientes = [];
    };
    PreVendaClientePage.prototype.ionViewDidLoad = function () {
    };
    PreVendaClientePage.prototype.valuechange = function (newValue) {
        if (newValue.key == 'Enter' || newValue.keyCode == 13 || newValue.keyIdentifier == 'Enter') {
            this.pesquisarCliente();
        }
    };
    PreVendaClientePage.prototype.pesquisarCliente = function () {
        var _this = this;
        this.Parametro.id = this.auth.Id;
        this.Parametro.codigo = this.clienteProcurar;
        this.Parametro.parametro = this.filtroPesquisaCliente;
        this.Parametro.pedido = this.navParams.data['pedidoOrigem'];
        var valido = this.clienteProcurar.length == 11 ? this.validarCPF(this.clienteProcurar) : this.validarCNPJ(this.clienteProcurar);
        if (valido == true) {
            this.showLoading();
            this.cliente.buscarClienteIndividual(this.Parametro)
                .then(function (result) {
                _this.loading.dismiss();
                if (result[0] == null) {
                    _this.cadastrarCliente();
                }
                else {
                    _this.clientes = result;
                    _this.navParams.data['telefoneCliente'] = result[0]['TELE'];
                    _this.navParams.data['CPFCliente'] = result[0]['CPF'];
                    _this.navParams.data['emailCliente'] = result[0]['EMAIL'];
                    _this.navParams.data['nomeCliente'] = result[0]['NOME'];
                    for (var i = 0; i < result.length; i++) {
                        _this.Parametro.codclie = result[i].CODCLIE;
                    }
                }
            })
                .catch(function (error) {
                _this.loading.dismiss();
                _this.showError('O seu servidor pode esta sem internet no momento, tente novamente mais tarde.');
            });
        }
        else {
            var alert_1 = this.alertCtrl.create({
                title: 'Ocorreu uma falha',
                subTitle: "Esse CPF/CNPJ esta inválido, verifique!",
                buttons: ['OK']
            });
            alert_1.present();
        }
    };
    PreVendaClientePage.prototype.selectConsumidorFinal = function () {
        this.clienteProcurar = '000001';
        this.pesquisarCliente();
    };
    PreVendaClientePage.prototype.inserirClientePedido = function (cliente) {
        if (this.navParams.data['pedidoOrigem'] != "") {
            this.confirmarVendaParaCliente();
        }
    };
    PreVendaClientePage.prototype.confirmarVendaParaCliente = function () {
        var _this = this;
        var prompt = this.alertCtrl.create({
            title: 'Confirmação de venda',
            message: "Deseja vender para esse cliente?",
            buttons: [
                {
                    text: 'Não',
                    handler: function (data) {
                        console.log('Não clicked');
                    }
                },
                {
                    text: 'Sim',
                    handler: function (data) {
                        //console.log('Sim clicked: '+this.cliente);
                        _this.atualizarVendaCliente(_this.Parametro);
                    }
                }
            ]
        });
        prompt.present();
    };
    PreVendaClientePage.prototype.atualizarVendaCliente = function (cliente) {
        var _this = this;
        this.showLoading();
        this.cliente.atualizarVendaCliente(cliente)
            .then(function (result) {
            _this.loading.dismiss();
            var toast = _this.toast.create({
                message: 'Pedido atualizado com sucesso!',
                duration: 3000,
                position: 'bottom'
            });
            toast.present();
        })
            .catch(function (error) {
            _this.showError(error);
        });
    };
    PreVendaClientePage.prototype.cadastrarCliente = function () {
        var _this = this;
        var prompt = this.alertCtrl.create({
            title: 'Cadastro de Clientes',
            message: "Não encontrei esse cliente, deseja cadastra-lo?",
            buttons: [
                {
                    text: 'Não',
                    handler: function (data) {
                        console.log('Não clicked');
                    }
                },
                {
                    text: 'Sim',
                    handler: function (data) {
                        _this.confirmarCadastroCliente(_this.Parametro);
                    }
                }
            ]
        });
        prompt.present();
    };
    PreVendaClientePage.prototype.confirmarCadastroCliente = function (parametro) {
        var _this = this;
        /*if(parametro.pedido != ""){
          let alert = this.alertCtrl.create({
            title: 'Atenção!',
            subTitle: "Você deve lançar algum item antes de cadastrar o cliente.",
            buttons: ['OK']
          });
          alert.present();
        } else {*/
        var profileModal = this.modalCtrl.create('ModalClientePage', parametro);
        profileModal.onDidDismiss(function (data) {
            if (data != null) {
                _this.clienteProcurar = data;
                _this.pesquisarCliente();
            }
        });
        profileModal.present();
        //}
    };
    PreVendaClientePage.prototype.voltar = function () {
        //this.navCtrl.pop();
        this.viewCtrl.dismiss(this.clientes);
    };
    PreVendaClientePage.prototype.validarCNPJ = function (cnpjCliente) {
        var cnpj = cnpjCliente;
        cnpj = cnpj.replace(/[^\d]+/g, '');
        if (cnpj == '')
            return false;
        if (cnpj.length != 14)
            return false;
        // LINHA 10 - Elimina CNPJs invalidos conhecidos
        if (cnpj == "00000000000000" ||
            cnpj == "11111111111111" ||
            cnpj == "22222222222222" ||
            cnpj == "33333333333333" ||
            cnpj == "44444444444444" ||
            cnpj == "55555555555555" ||
            cnpj == "66666666666666" ||
            cnpj == "77777777777777" ||
            cnpj == "88888888888888" ||
            cnpj == "99999999999999")
            return false; // LINHA 21
        // Valida DVs LINHA 23 -
        var tamanho = cnpj.length - 2;
        var numeros = cnpj.substring(0, tamanho);
        var digitos = cnpj.substring(tamanho);
        var soma = 0;
        var pos = tamanho - 7;
        for (var i = tamanho; i >= 1; i--) {
            soma += numeros.charAt(tamanho - i) * pos--;
            if (pos < 2)
                pos = 9;
        }
        var resultado = soma % 11 < 2 ? 0 : 11 - soma % 11;
        if (resultado != digitos.charAt(0))
            return false;
        tamanho = tamanho + 1;
        numeros = cnpj.substring(0, tamanho);
        soma = 0;
        pos = tamanho - 7;
        for (var i = tamanho; i >= 1; i--) {
            soma += numeros.charAt(tamanho - i) * pos--;
            if (pos < 2)
                pos = 9;
        }
        resultado = soma % 11 < 2 ? 0 : 11 - soma % 11;
        if (resultado != digitos.charAt(1))
            return false; // LINHA 49
        return true; // LINHA 51
    };
    PreVendaClientePage.prototype.validarCPF = function (cpf) {
        var numeros, digitos, soma, i, resultado, digitos_iguais;
        digitos_iguais = 1;
        if (cpf.length < 11)
            return false;
        for (i = 0; i < cpf.length - 1; i++)
            if (cpf.charAt(i) != cpf.charAt(i + 1)) {
                digitos_iguais = 0;
                break;
            }
        if (!digitos_iguais) {
            numeros = cpf.substr(0, 9);
            digitos = cpf.substr(9);
            soma = 0;
            for (i = 10; i > 1; i--)
                soma += numeros.charAt(10 - i) * i;
            resultado = soma % 11 < 2 ? 0 : 11 - soma % 11;
            if (resultado != digitos.charAt(0))
                return false;
            numeros = cpf.substr(0, 10);
            soma = 0;
            for (i = 11; i > 1; i--)
                soma += numeros.charAt(11 - i) * i;
            resultado = soma % 11 < 2 ? 0 : 11 - soma % 11;
            if (resultado != digitos.charAt(1))
                return false;
            return true;
        }
        else
            return false;
    };
    PreVendaClientePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-pre-venda-cliente',template:/*ion-inline-start:"C:\mobile\forcaDeVendas\src\pages\pre-venda-cliente\pre-venda-cliente.html"*/'<!--\n  Generated template for the PreVendaClientePage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n\n<ion-content padding>\n  <ion-fab left top>\n    <button ion-fab mini (click)="voltar()"><ion-icon name="arrow-back"></ion-icon></button>\n  </ion-fab>\n  <div>\n    <ion-segment [(ngModel)]="filtroPesquisaCliente">\n      <ion-segment-button value="cpfCnpg" ngSelected="true" >\n        Cpf/CNPJ\n      </ion-segment-button>\n      <ion-segment-button value="consumidorFinal" (ionSelect)="selectConsumidorFinal()">\n        Cons Final\n      </ion-segment-button>\n    </ion-segment>\n  </div> \n  \n\n      <ion-col col-12>\n          <div class="item-inner">\n            <ion-item style="padding-left: 0px;">\n              <ion-label color="primary" stacked>Procurar cliente</ion-label>\n              <ion-input type="tel" [(ngModel)]="clienteProcurar" maxlength="14" (keyup)="valuechange($event)"></ion-input>\n            </ion-item>\n            <button ion-button="" item-end="" outline="" class="disable-hover item-button button button-ios \n            button-outline button-outline-ios" (click)="pesquisarCliente()"><span class="button-inner"><ion-icon ios="ios-send" md="md-send"></ion-icon></span>\n            <div class="button-effect"></div>\n            </button>\n          </div>          \n      </ion-col>    \n  \n  \n  <ion-list>\n    <ion-item *ngFor="let item of clientes" (click)="inserirClientePedido(item)">\n      <ion-avatar item-start>\n        <img src="assets/imgs/usuario.png">\n      </ion-avatar>\n      <h2>{{ item.NOME }}</h2>\n      <h3>Tel: {{ item.TELE }}</h3>\n      <p>Endereço: {{ item.ENDE }}</p>\n      <p>UF: {{ item.UF }} - Cidade: {{ item.CIDA }}</p>\n      <ion-note item-end="" class="note note-ios">\n        <ion-icon name="arrow-forward"></ion-icon>\n      </ion-note>\n    </ion-item>\n  </ion-list>  \n</ion-content>\n'/*ion-inline-end:"C:\mobile\forcaDeVendas\src\pages\pre-venda-cliente\pre-venda-cliente.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__providers_auth_service_auth_service__["a" /* AuthServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_cliente_cliente__["a" /* ClienteProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* ToastController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* ViewController */]])
    ], PreVendaClientePage);
    return PreVendaClientePage;
}());

//# sourceMappingURL=pre-venda-cliente.js.map

/***/ })

});
//# sourceMappingURL=20.js.map