webpackJsonp([26],{

/***/ 527:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MaquininhaTefPageModule", function() { return MaquininhaTefPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__maquininha_tef__ = __webpack_require__(602);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var MaquininhaTefPageModule = /** @class */ (function () {
    function MaquininhaTefPageModule() {
    }
    MaquininhaTefPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__maquininha_tef__["a" /* MaquininhaTefPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__maquininha_tef__["a" /* MaquininhaTefPage */]),
            ],
        })
    ], MaquininhaTefPageModule);
    return MaquininhaTefPageModule;
}());

//# sourceMappingURL=maquininha-tef.module.js.map

/***/ }),

/***/ 602:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MaquininhaTefPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_auth_service_auth_service__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_database_database__ = __webpack_require__(153);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_pre_venda_pre_venda__ = __webpack_require__(287);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the MaquininhaTefPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var MaquininhaTefPage = /** @class */ (function () {
    function MaquininhaTefPage(navCtrl, navParams, db, auth, preVenda, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.db = db;
        this.auth = auth;
        this.preVenda = preVenda;
        this.alertCtrl = alertCtrl;
        this.imgCielo = "assets/imgs/cielo.ico";
        this.imgPagSeguro = "assets/imgs/pagseguro.ico";
    }
    MaquininhaTefPage.prototype.showAlert = function (titulo, texto) {
        var alert = this.alertCtrl.create({
            title: titulo,
            subTitle: texto,
            buttons: ['OK']
        });
        alert.present();
    };
    MaquininhaTefPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.db.consultarMaquininha().then(function (result) {
            if (result.length > 0) {
                for (var i = 0; i < result.length; i++) {
                    var element = result[i];
                    // alert(element.ADQUIRENTE+'\n'+element.ATIVO+'\n'+element.LOJA)
                    if (element.ADQUIRENTE == 'CIELO' && element.ATIVO == 'true' && element.LOJA == _this.auth.Usuario.loja) {
                        _this.auth.cielo = true;
                    }
                    if (element.ADQUIRENTE == 'PAGSEGURO' && element.ATIVO == 'true' && element.LOJA == _this.auth.Usuario.loja) {
                        _this.auth.pagSeguro = true;
                    }
                }
            }
        }, function (error) {
            console.log("ERROR: ", error);
        });
    };
    MaquininhaTefPage.prototype.pagSeguro = function () {
        if (this.pagSeguroB == true) {
            this.db.insertMaquininha('PAGSEGURO', this.auth.Usuario.loja, 'true');
            this.auth.pagSeguro = true;
        }
        else {
            this.db.insertMaquininha('PAGSEGURO', this.auth.Usuario.loja, 'false');
            this.auth.pagSeguro = false;
        }
    };
    MaquininhaTefPage.prototype.cieloLio = function () {
        if (this.cieloLioB == true) {
            this.consultarToken();
        }
        else {
            this.db.insertMaquininha('CIELO', this.auth.Usuario.loja, 'false');
        }
    };
    MaquininhaTefPage.prototype.consultarToken = function () {
        var _this = this;
        var param = {
            "loja": this.auth.Usuario.loja,
            "id": this.auth.Id
        };
        this.preVenda.consultarToken(param)
            .then(function (result) {
            if (result.length == 0) {
                _this.cieloLioB = false;
                _this.auth.cielo = false;
                _this.showAlert("Atenção!", "Sua loja não tem credenciais p/ usar a Cielo Lio");
            }
            else {
                _this.auth.cielo = true;
                _this.db.insertMaquininha('CIELO', _this.auth.Usuario.loja, 'true');
                _this.showAlert("Oba!", "Agora esta tudo pronto para usar a Cielo Lio");
            }
        })
            .catch(function (error) {
            console.log('error: ' + error);
        });
    };
    MaquininhaTefPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-maquininha-tef',template:/*ion-inline-start:"C:\mobile\forcaDeVendas\src\pages\maquininha-tef\maquininha-tef.html"*/'<!--\n  Generated template for the MaquininhaTefPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n  <ion-navbar>\n    <ion-title>Maquininha Cartão</ion-title>\n  </ion-navbar>\n</ion-header>\n\n\n<ion-content padding>\n  <ion-list>\n    <ion-item>\n      <ion-label color="primary" stacked>\n        <ion-img width="16" height="16" [src]="imgCielo"></ion-img>\n        Cielo Lio\n      </ion-label>\n      <ion-toggle [(ngModel)]="cieloLioB" (ionChange)="cieloLio()" align-self-start></ion-toggle>    \n    </ion-item>\n    <ion-item disabled>\n      <ion-label color="secondary" stacked>\n        <ion-img width="16" height="16" [src]="imgPagSeguro"></ion-img>\n        PagSeguro\n      </ion-label>\n      <ion-toggle [(ngModel)]="pagSeguroB" (ionChange)="pagSeguro()" align-self-start></ion-toggle>    \n    </ion-item>\n  </ion-list>\n</ion-content>\n'/*ion-inline-end:"C:\mobile\forcaDeVendas\src\pages\maquininha-tef\maquininha-tef.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */], __WEBPACK_IMPORTED_MODULE_3__providers_database_database__["a" /* DatabaseProvider */],
            __WEBPACK_IMPORTED_MODULE_2__providers_auth_service_auth_service__["a" /* AuthServiceProvider */], __WEBPACK_IMPORTED_MODULE_4__providers_pre_venda_pre_venda__["a" /* PreVendaProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], MaquininhaTefPage);
    return MaquininhaTefPage;
}());

//# sourceMappingURL=maquininha-tef.js.map

/***/ })

});
//# sourceMappingURL=26.js.map