webpackJsonp([31],{

/***/ 518:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ListaAniversariantesPageModule", function() { return ListaAniversariantesPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__lista_aniversariantes__ = __webpack_require__(590);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__ = __webpack_require__(286);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var ListaAniversariantesPageModule = /** @class */ (function () {
    function ListaAniversariantesPageModule() {
    }
    ListaAniversariantesPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__lista_aniversariantes__["a" /* ListaAniversariantesPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__lista_aniversariantes__["a" /* ListaAniversariantesPage */]),
                __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__["a" /* PipesModule */]
            ],
        })
    ], ListaAniversariantesPageModule);
    return ListaAniversariantesPageModule;
}());

//# sourceMappingURL=lista-aniversariantes.module.js.map

/***/ }),

/***/ 590:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ListaAniversariantesPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_lista_evento_lista_evento__ = __webpack_require__(295);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_auth_service_auth_service__ = __webpack_require__(38);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the ListaAniversariantesPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ListaAniversariantesPage = /** @class */ (function () {
    function ListaAniversariantesPage(navCtrl, navParams, actionSheetCtrl, lista, auth) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.actionSheetCtrl = actionSheetCtrl;
        this.lista = lista;
        this.auth = auth;
        this.parametros = {
            "nomeAniversariante": "",
            "dataEvento": "",
            "localEvento": "",
            "tamanhoVestimento": "",
            "ID": this.auth.Id
        };
        this.dataAtual = new Date().toISOString();
    }
    ListaAniversariantesPage.prototype.padLeft = function (text, padChar, size) {
        return (String(padChar).repeat(size) + text).substr((size * -1), size);
    };
    ListaAniversariantesPage.prototype.ionViewDidLoad = function () {
        this.consultarEvento();
    };
    ListaAniversariantesPage.prototype.valuechange = function (newValue) {
        if (newValue.key == 'Enter' || newValue.keyCode == 13 || newValue.keyIdentifier == 'Enter') {
            this.criarEvento();
        }
    };
    ListaAniversariantesPage.prototype.criarEvento = function () {
        var _this = this;
        this.lista.inserirEvento(this.parametros)
            .then(function (result) {
            _this.parametros.ID = "";
            _this.parametros.dataEvento = "";
            _this.parametros.localEvento = "";
            _this.parametros.nomeAniversariante = "";
            _this.parametros.tamanhoVestimento = "";
            _this.consultarEvento();
        })
            .catch(function (error) {
        });
    };
    ListaAniversariantesPage.prototype.consultarEvento = function () {
        var _this = this;
        this.eventos = [];
        this.lista.consultarEvento(this.parametros)
            .then(function (result) {
            _this.eventos = result;
        })
            .catch(function (error) {
        });
    };
    ListaAniversariantesPage.prototype.presentActionSheet = function (pessoa) {
        var _this = this;
        var actionSheet = this.actionSheetCtrl.create({
            title: 'O que deseja fazer?',
            buttons: [
                {
                    text: 'Escolher presentes',
                    icon: 'star',
                    handler: function () {
                        _this.navCtrl.push('ListaPresentesPage', {
                            "escolher": pessoa
                        });
                    }
                }, {
                    text: 'Cadastrar lista',
                    icon: 'add',
                    handler: function () {
                        _this.navCtrl.push('ListaCadastrarPresentesPage', {
                            "cadastrar": pessoa
                        });
                    }
                }, {
                    text: 'Cancelar',
                    role: 'cancel',
                    handler: function () {
                        console.log('Cancel clicked');
                    }
                }
            ]
        });
        actionSheet.present();
    };
    ListaAniversariantesPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-lista-aniversariantes',template:/*ion-inline-start:"C:\mobile\forcaDeVendas\src\pages\lista-aniversariantes\lista-aniversariantes.html"*/'<!--\n  Generated template for the ListaAniversariantesPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar color="primary">\n    <ion-title>Aniversariantes</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content padding>\n  <ion-list>\n    <ion-item>\n      <ion-label color="primary" stacked>Nome</ion-label>\n      <ion-input type="text" placeholder="Nome" [(ngModel)]="parametros.nomeAniversariante"></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-label color="primary" stacked>Data do evento</ion-label>      \n      <ion-datetime cancelText="Cancelar" doneText="Escolher" min={{dataAtual}} displayFormat="DD/MM/YYYY" [(ngModel)]="parametros.dataEvento"></ion-datetime>\n    </ion-item>    \n    <ion-item>\n      <ion-label color="primary" stacked>Local do evento</ion-label>\n      <ion-input type="text" placeholder="Local do evento" [(ngModel)]="parametros.localEvento"></ion-input>\n    </ion-item>    \n    <ion-item>\n      <ion-label color="primary" stacked>Tamanho vestimento</ion-label>\n      <ion-input type="text" placeholder="Tamanho" [(ngModel)]="parametros.tamanhoVestimento" ></ion-input>\n    </ion-item>    \n    <button ion-button full (click)="criarEvento()" [disabled]="\n    parametros.nomeAniversariante == \'\' || parametros.dataEvento == \'\' \n    || parametros.localEvento == \'\' || parametros.tamanhoVestimento == \'\' ">Criar lista de presentes</button>\n  </ion-list>\n  <ion-list>\n    <button ion-item (click)="presentActionSheet(item)" *ngFor="let item of eventos">\n      <h2>{{ item.NOME }}</h2>\n      <p>Data: {{ item.DATA | converterData }}</p>\n      <p>Local: {{ item.LOCAL_EVENTO  }}</p>\n      <p><strong>Tamanho: {{ item.TAMANHO }}</strong></p>\n    </button>    \n  </ion-list>\n</ion-content>\n'/*ion-inline-end:"C:\mobile\forcaDeVendas\src\pages\lista-aniversariantes\lista-aniversariantes.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* ActionSheetController */],
            __WEBPACK_IMPORTED_MODULE_2__providers_lista_evento_lista_evento__["a" /* ListaEventoProvider */], __WEBPACK_IMPORTED_MODULE_3__providers_auth_service_auth_service__["a" /* AuthServiceProvider */]])
    ], ListaAniversariantesPage);
    return ListaAniversariantesPage;
}());

//# sourceMappingURL=lista-aniversariantes.js.map

/***/ })

});
//# sourceMappingURL=31.js.map