webpackJsonp([41],{

/***/ 510:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ConferenciaPedidosPageModule", function() { return ConferenciaPedidosPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__conferencia_pedidos__ = __webpack_require__(582);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__ = __webpack_require__(286);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var ConferenciaPedidosPageModule = /** @class */ (function () {
    function ConferenciaPedidosPageModule() {
    }
    ConferenciaPedidosPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__conferencia_pedidos__["a" /* ConferenciaPedidosPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__conferencia_pedidos__["a" /* ConferenciaPedidosPage */]),
                __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__["a" /* PipesModule */]
            ],
        })
    ], ConferenciaPedidosPageModule);
    return ConferenciaPedidosPageModule;
}());

//# sourceMappingURL=conferencia-pedidos.module.js.map

/***/ }),

/***/ 582:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ConferenciaPedidosPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_auth_service_auth_service__ = __webpack_require__(38);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * Generated class for the ConferenciaPedidosPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ConferenciaPedidosPage = /** @class */ (function () {
    function ConferenciaPedidosPage(navCtrl, navParams, alertCtrl, auth, modalCtrl, toastCtrl, loadingCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.alertCtrl = alertCtrl;
        this.auth = auth;
        this.modalCtrl = modalCtrl;
        this.toastCtrl = toastCtrl;
        this.loadingCtrl = loadingCtrl;
        this.pedido = '';
    }
    ConferenciaPedidosPage.prototype.ionViewDidLoad = function () {
        this.myInput.setFocus();
    };
    ConferenciaPedidosPage.prototype.valuechange = function (newValue) {
        if (newValue.key == 'Enter' || newValue.keyCode == 13 || newValue.keyIdentifier == 'Enter') {
            this.buscarPedido();
        }
    };
    ConferenciaPedidosPage.prototype.presentToast = function (msg) {
        var toast = this.toastCtrl.create({
            message: msg,
            duration: 4000,
            position: 'bottom'
        });
        toast.onDidDismiss(function () {
            console.log('Dismissed toast');
        });
        toast.present();
    };
    ConferenciaPedidosPage.prototype.presentAlert = function (msg) {
        var alert = this.alertCtrl.create({
            title: 'Atenção',
            subTitle: msg,
            buttons: ['Ok']
        });
        alert.present();
    };
    ConferenciaPedidosPage.prototype.buscarPedido = function () {
        var _this = this;
        if (this.pedido.length < 10) {
            this.presentAlert("O número do pedido deve ter 10 números");
        }
        else {
            this.showLoading();
            this.valores = [];
            this.auth.buscarConferenciaPedido(this.pedido)
                .then(function (result) {
                _this.loading.dismiss();
                if (result.length > 0) {
                    _this.pedido == "";
                    _this.valores = result;
                }
                else {
                    _this.presentAlert("Não encontrei informações para esse pedido!");
                }
            })
                .catch(function (error) {
                //this.toast.create({ message: 'Erro ao efetuar login. Erro: ' + error.error, position: 'botton', duration: 3000 }).present();
                _this.loading.dismiss();
                _this.presentAlert("Possível erro no servidor que não esta ativo.");
                //this.nav.setRoot('LoginPage');
            });
        }
    };
    ConferenciaPedidosPage.prototype.confirmarServidor = function () {
    };
    ConferenciaPedidosPage.prototype.confirmarItem = function (item) {
        var _this = this;
        var profileModal = this.modalCtrl.create('ModalConferenciaPage', { item: item });
        profileModal.onDidDismiss(function (data) {
            _this.editarLinha(data);
        });
        profileModal.present();
    };
    ConferenciaPedidosPage.prototype.showLoading = function () {
        this.loading = this.loadingCtrl.create({
            content: 'Por favor, aguarde...',
            dismissOnPageChange: true
        });
        this.loading.present();
    };
    ConferenciaPedidosPage.prototype.editarLinha = function (data) {
        var _this = this;
        for (var i = 0; i < this.valores.length; i++) {
            if (this.valores[i]['CODPROD'] == data.CODPROD && this.valores[i]['NUMERO'] == data.NUMERO) {
                if (data.EDITOU == 'sim' && data.CODBARRA != undefined) {
                    this.auth.atualizarEAN(this.valores[i]['CODPROD'], this.valores[i]['NUMERO'], data.CODBARRA)
                        .then(function (result) {
                        if (result == true) {
                            _this.presentToast("Item atualizado com sucesso");
                        }
                        else {
                            for (var i_1 = 0; i_1 < _this.valores.length; i_1++) {
                                if (_this.valores[i_1]['CODPROD'] == data.CODPROD && _this.valores[i_1]['NUMERO'] == data.NUMERO) {
                                    _this.valores[i_1]['CODBARRA'] = null;
                                }
                            }
                            _this.presentAlert("Esse código de barras já existe para o item " + result[0].CODPROD + ". Verifique!");
                        }
                    })
                        .catch(function (error) {
                        _this.presentAlert("Possível erro no servidor que não esta ativo.");
                    });
                }
            }
        }
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_9" /* ViewChild */])('codigo_'),
        __metadata("design:type", Object)
    ], ConferenciaPedidosPage.prototype, "myInput", void 0);
    ConferenciaPedidosPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-conferencia-pedidos',template:/*ion-inline-start:"C:\mobile\forcaDeVendas\src\pages\conferencia-pedidos\conferencia-pedidos.html"*/'<!--\n  Generated template for the ConferenciaPedidosPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n  <ion-navbar>\n    <ion-title text-center>Conferência de Pedidos</ion-title>\n  </ion-navbar>\n</ion-header>\n\n\n<ion-content padding>\n  <ion-item>\n    <ion-label color="primary">Pedido</ion-label>\n    <ion-input #codigo_ type="tel" maxlength="10" [(ngModel)]="pedido" (keyup)="valuechange($event)"></ion-input>\n    <button ion-button item-end  (click)="buscarPedido()" >\n      <ion-icon style="color: white" ios="ios-search" md="md-search"></ion-icon>\n    </button>\n  </ion-item>  \n  \n  <ion-list>\n    <button class="item item-block item-ios" ion-item *ngFor="let item of valores" (click)="confirmarItem(item)">      \n      <h2>Ref: {{ item.REFERENCIA }}</h2>\n      <h3>{{ item.DESCRICAO }}</h3>\n      <p>Código: {{ item.CODPROD }} - {{ item.NUMERO }}</p>\n      <p [ngStyle]="{\'color\': item.CODBARRA == null ? \'red\' : \'black\' }">Código de Barras: {{ item.CODBARRA }}</p>\n      <p>Quantidade: {{ item.QUANTIDADE }} - R$ {{ item.PRECO | formatarDinheiro }} </p>\n      <p>Pedido: {{ item.PEDIDO }} - Data: {{ item.DATA | converterData }}</p>\n    </button>\n  </ion-list>  \n<!--\n  <button color="secondary" ion-button item-end (click)="confirmarServidor()" >\n    Confirmar no servidor?\n  </button> \n-->\n</ion-content>\n'/*ion-inline-end:"C:\mobile\forcaDeVendas\src\pages\conferencia-pedidos\conferencia-pedidos.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_2__providers_auth_service_auth_service__["a" /* AuthServiceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* ModalController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* ToastController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* LoadingController */]])
    ], ConferenciaPedidosPage);
    return ConferenciaPedidosPage;
}());

//# sourceMappingURL=conferencia-pedidos.js.map

/***/ })

});
//# sourceMappingURL=41.js.map