webpackJsonp([46],{

/***/ 505:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CancelamentoDeVendasPageModule", function() { return CancelamentoDeVendasPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__cancelamento_de_vendas__ = __webpack_require__(577);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__ = __webpack_require__(286);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var CancelamentoDeVendasPageModule = /** @class */ (function () {
    function CancelamentoDeVendasPageModule() {
    }
    CancelamentoDeVendasPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__cancelamento_de_vendas__["a" /* CancelamentoDeVendasPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__cancelamento_de_vendas__["a" /* CancelamentoDeVendasPage */]),
                __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__["a" /* PipesModule */]
            ],
        })
    ], CancelamentoDeVendasPageModule);
    return CancelamentoDeVendasPageModule;
}());

//# sourceMappingURL=cancelamento-de-vendas.module.js.map

/***/ }),

/***/ 577:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CancelamentoDeVendasPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_auth_service_auth_service__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_pre_venda_pre_venda__ = __webpack_require__(287);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the CancelamentoDeVendasPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CancelamentoDeVendasPage = /** @class */ (function () {
    function CancelamentoDeVendasPage(navCtrl, navParams, auth, loadingCtrl, vendas, alertCtrl, popoverCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.auth = auth;
        this.loadingCtrl = loadingCtrl;
        this.vendas = vendas;
        this.alertCtrl = alertCtrl;
        this.popoverCtrl = popoverCtrl;
    }
    CancelamentoDeVendasPage.prototype.showAlert = function (titulo, msg) {
        var alert = this.alertCtrl.create({
            title: titulo,
            subTitle: msg,
            buttons: ['OK']
        });
        alert.present();
    };
    CancelamentoDeVendasPage.prototype.showLoading = function (msg) {
        this.loading = null;
        this.loading = this.loadingCtrl.create({
            spinner: 'bubbles',
            content: msg,
            // duration: 4000,
            showBackdrop: true,
        });
        this.loading.present();
        this.loading.onDidDismiss(function () {
        });
    };
    CancelamentoDeVendasPage.prototype.buscarVendas = function (data) {
        var _this = this;
        this.showLoading("Buscando vendas...");
        var param = {
            "data": data,
            "loja": this.auth.Usuario.loja,
            "id": this.auth.Id
        };
        this.vendas.buscarVendasCancelamento(param)
            .then(function (result) {
            _this.loading.dismiss();
            _this.loading.onDidDismiss(function () {
                _this.result = result;
            });
        })
            .catch(function (error) {
            console.log('error: ' + error);
        });
    };
    CancelamentoDeVendasPage.prototype.padLeft = function (text, padChar, size) {
        return (String(padChar).repeat(size) + text).substr((size * -1), size);
    };
    CancelamentoDeVendasPage.prototype.ionViewDidLoad = function () {
        var diaAtual = new Date();
        var mes = diaAtual.getMonth() + 1;
        var dia = diaAtual.getDate();
        this.buscarVendas(diaAtual.getFullYear() + '-' + this.padLeft(mes, '0', 2) + '-' + this.padLeft(dia, '0', 2));
    };
    CancelamentoDeVendasPage.prototype.filtro = function () {
        var _this = this;
        var popover = this.popoverCtrl.create('FiltroPage', {}, {});
        popover.onDidDismiss(function (data) {
            if (data != null) {
                _this.buscarVendas(data);
            }
        });
        popover.present();
    };
    CancelamentoDeVendasPage.prototype.cancelarVenda = function (item) {
        var _this = this;
        var param = {
            "id": this.auth.Id,
            "pedido": item.PEDIDO
        };
        var confirm = this.alertCtrl.create({
            title: 'Cancelar ' + item.PEDIDO,
            message: 'Cancelar NF ' + item.NF + ' |  Cliente ' + item.NOME,
            buttons: [
                {
                    text: 'Sair',
                    handler: function () {
                        console.log('Disagree clicked');
                    }
                },
                {
                    text: 'Sim',
                    handler: function () {
                        _this.showLoading("Efetuando o cancelamento...");
                        _this.vendas.efetuarCancelamento(param)
                            .then(function (result) {
                            _this.loading.dismiss();
                            _this.loading.onDidDismiss(function () {
                                if (result['status'] == 1000) {
                                    for (var i = 0; i < _this.result.length; i++) {
                                        var element = _this.result[i];
                                        if (element.PEDIDO == item.PEDIDO) {
                                            _this.result.splice(i, 1);
                                        }
                                    }
                                }
                                _this.showAlert(result['mensagem'], result['xMotivo']);
                            });
                        })
                            .catch(function (error) {
                            console.log('error: ' + error);
                        });
                    }
                }
            ]
        });
        confirm.present();
    };
    CancelamentoDeVendasPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-cancelamento-de-vendas',template:/*ion-inline-start:"C:\mobile\forcaDeVendas\src\pages\cancelamento-de-vendas\cancelamento-de-vendas.html"*/'<ion-header>\n  <ion-navbar>    \n    <ion-title text-center>\n      eCancelamento\n    </ion-title>    \n    <ion-buttons end>      \n      <button ion-button icon-only (click)="filtro()">\n        <ion-icon name="funnel"></ion-icon>\n      </button>      \n    </ion-buttons>\n  </ion-navbar>    \n</ion-header>\n\n\n<ion-content padding>\n  <ion-list>\n    <ion-item *ngFor="let item of result" (click)="cancelarVenda(item)">      \n      <h2>{{ item.NOMEVEND }}</h2>\n      <p>Cliente: {{ item.NOME }}</p>\n      <p><strong>{{ item.PEDIDO }}</strong> • {{ item.DATA | converterData }} às {{ item.HORA }}</p>\n      <p>NF: {{ item.NF }} • Modelo: {{ item.MODELO }}</p>\n      <p>{{ item.CHAVE }}</p>      \n    </ion-item>    \n  </ion-list>\n</ion-content>\n'/*ion-inline-end:"C:\mobile\forcaDeVendas\src\pages\cancelamento-de-vendas\cancelamento-de-vendas.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__providers_auth_service_auth_service__["a" /* AuthServiceProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_3__providers_pre_venda_pre_venda__["a" /* PreVendaProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["p" /* PopoverController */]])
    ], CancelamentoDeVendasPage);
    return CancelamentoDeVendasPage;
}());

//# sourceMappingURL=cancelamento-de-vendas.js.map

/***/ })

});
//# sourceMappingURL=46.js.map