webpackJsonp([49],{

/***/ 504:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AberturaDeCaixaPageModule", function() { return AberturaDeCaixaPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__abertura_de_caixa__ = __webpack_require__(576);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__ = __webpack_require__(286);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_brmasker_ionic_3__ = __webpack_require__(290);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





var AberturaDeCaixaPageModule = /** @class */ (function () {
    function AberturaDeCaixaPageModule() {
    }
    AberturaDeCaixaPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__abertura_de_caixa__["a" /* AberturaDeCaixaPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__abertura_de_caixa__["a" /* AberturaDeCaixaPage */]),
                __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__["a" /* PipesModule */],
                __WEBPACK_IMPORTED_MODULE_4_brmasker_ionic_3__["a" /* BrMaskerModule */]
            ],
        })
    ], AberturaDeCaixaPageModule);
    return AberturaDeCaixaPageModule;
}());

//# sourceMappingURL=abertura-de-caixa.module.js.map

/***/ }),

/***/ 576:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AberturaDeCaixaPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(68);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_auth_service_auth_service__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_pre_venda_pre_venda__ = __webpack_require__(287);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the AberturaDeCaixaPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var AberturaDeCaixaPage = /** @class */ (function () {
    function AberturaDeCaixaPage(navCtrl, navParams, auth, vendas, loadingCtrl, toastCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.auth = auth;
        this.vendas = vendas;
        this.loadingCtrl = loadingCtrl;
        this.toastCtrl = toastCtrl;
        this.loja = "";
        this.usuario = "";
        this.operador = "";
        this.dataCaixa = "";
        this.cxAberto = false;
    }
    AberturaDeCaixaPage.prototype.ionViewDidLoad = function () {
        this.buscarAberturaDeCaixa();
    };
    AberturaDeCaixaPage.prototype.compararDatas = function (data) {
        var a = new Date();
        var dataAtual = new Date(a.getFullYear(), a.getMonth(), a.getDate());
        var dataAberturaCx = new Date(data.substr(0, 4), data.substr(5, 2) - 1, data.substr(8, 2));
        if (dataAberturaCx >= dataAtual) {
            this.cxAberto = true;
            return false;
        }
        else {
            this.cxAberto = false;
            return true;
        }
    };
    AberturaDeCaixaPage.prototype.abrirToast = function () {
        var toast = this.toastCtrl.create({
            message: 'Abertura feita com sucesso',
            duration: 3000,
            position: 'bottom'
        });
        toast.onDidDismiss(function () {
            console.log('Dismissed toast');
        });
        toast.present();
    };
    AberturaDeCaixaPage.prototype.showLoading = function () {
        this.loading = null;
        this.loading = this.loadingCtrl.create({
            spinner: 'bubbles',
            content: 'Aguarde...',
            // duration: 4000,
            showBackdrop: true,
        });
        this.loading.present();
        this.loading.onDidDismiss(function () {
            console.log('Dismissed loading');
        });
    };
    AberturaDeCaixaPage.prototype.salvarAberturaDeCaixa = function () {
        var _this = this;
        var ar = {
            "id": this.auth.Id,
            "loja": this.loja,
            "operador": this.operador,
            "valor": this.abertura
        };
        this.showLoading();
        this.vendas.abrirFundoDeCaixa(ar)
            .then(function (result) {
            _this.loading.dismiss();
            _this.loading.onDidDismiss(function () {
                _this.abrirToast();
                _this.cxAberto = true;
                _this.abertura = 0;
            });
        })
            .catch(function (error) {
            _this.loading.dismiss();
            _this.loading.onDidDismiss(function () {
            });
        });
    };
    AberturaDeCaixaPage.prototype.buscarAberturaDeCaixa = function () {
        var _this = this;
        var ar = {
            "id": this.auth.Id,
            "loja": this.auth.Usuario.loja,
            "operador": this.auth.Usuario.codigo
        };
        this.showLoading();
        this.vendas.pesquisarAberturaDeCaixa(ar)
            .then(function (result) {
            _this.cxAberto = false;
            for (var i = 0; i < result.length; i++) {
                var element = result[i];
                _this.abertura = element.RESERVA;
                _this.valorAberto = element.ABERTURA;
                _this.loja = element.LOJA;
                _this.usuario = element.NOME;
                _this.operador = element.OPERADOR;
                _this.dataCaixa = element.DATA;
                var cxAberto = _this.compararDatas(element.DATA);
                if (cxAberto == false) {
                    _this.cxAberto = true;
                }
            }
            _this.loading.dismiss();
            _this.loading.onDidDismiss(function () {
            });
        })
            .catch(function (error) {
            console.log('error: ' + error);
            _this.loading.dismiss();
            _this.loading.onDidDismiss(function () {
            });
        });
    };
    AberturaDeCaixaPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-abertura-de-caixa',template:/*ion-inline-start:"C:\mobile\forcaDeVendas\src\pages\abertura-de-caixa\abertura-de-caixa.html"*/'<!--\n  Generated template for the AberturaDeCaixaPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title text-center>Abertura de Caixa</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content padding>\n  <p text-center *ngIf="cxAberto == true">Já existe um caixa aberto para o operador {{ usuario }} \n    no dia {{ dataCaixa | converterData }} com um valor de R$ {{ valorAberto | formatarDinheiro }}. Você não conseguirá colocar um novo valor para abertura.\n\n  </p>\n  <h4 text-center>Com quanto você quer abrir?</h4>\n    <ion-item>\n      <ion-input [disabled]="cxAberto" placeholder="R$" text-center [(ngModel)]="abertura" type="text" [brmasker]="{money: true, decimal: 2, type:\'num\'}"></ion-input>\n    </ion-item>\n    \n</ion-content>\n  \n  \n<ion-footer>\n  <ion-toolbar>\n    <button [disabled]="cxAberto" ion-button full color="danger" (click)="salvarAberturaDeCaixa()">Salvar</button>\n  </ion-toolbar>\n</ion-footer>'/*ion-inline-end:"C:\mobile\forcaDeVendas\src\pages\abertura-de-caixa\abertura-de-caixa.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__providers_auth_service_auth_service__["a" /* AuthServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_pre_venda_pre_venda__["a" /* PreVendaProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* ToastController */]])
    ], AberturaDeCaixaPage);
    return AberturaDeCaixaPage;
}());

//# sourceMappingURL=abertura-de-caixa.js.map

/***/ })

});
//# sourceMappingURL=49.js.map